using System;
using BS.Shared;

namespace BeWo.Data.Entities
{
	public class Overtime : BeWoEntityBase
	{
		public static string PropertyName_EmployeeOid = "EmployeeOid";
		public static string PropertyName_ValueList = "ValueList";
		public static string PropertyName_Date = "Date";
		public static string PropertyName_Betrag = "Betrag";

		private Auszahlungsart _Auszahlungsart;
		private decimal _Betrag;
		private DateTime? _Date;
		private long? _EmployeeOid;

		public Overtime()
		{
			_Tid = TableID.Overtime;
		}

		public virtual decimal Betrag
		{
			get { return _Betrag; }

			set
			{
				if (AreDifferent(_Betrag, value))
				{
					_Betrag = value;
				}
			}
		}

		public virtual long? EmployeeOid
		{
			get { return _EmployeeOid; }

			set
			{
				if (AreDifferent(_EmployeeOid, value))
				{
					_EmployeeOid = value;
				}
			}
		}

		public virtual Auszahlungsart Auszahlungsart
		{
			get { return _Auszahlungsart; }

			set
			{
				if (AreDifferent(_Auszahlungsart, value))
				{
					_Auszahlungsart = value;
				}
			}
		}

		public virtual DateTime? Date
		{
			get { return _Date; }
			set
			{
				if (AreDifferent(_Date, value))
				{
					_Date = value;
				}
			}
		}
	}
}